/*
 * The Clear BSD License
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 * that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of Freescale Semiconductor, Inc. nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


#define SOPT5_UART0TXSRC_UART_TX 0x00u /*!<@brief UART 0 transmit data source select: UART0_TX pin */

/*! @name PORTB16 (number 62), U2[24]/U6[13]/TxD_sda/UART_TX_TGTMCU
  @{ */
#define BOARD_UART_TX_TGTMCU_PERIPHERAL UART0                             /*!<@brief Device name: UART0 */
#define BOARD_UART_TX_TGTMCU_SIGNAL RX                                    /*!<@brief UART0 signal: RX */
#define BOARD_UART_TX_TGTMCU_PORT PORTB                                   /*!<@brief PORT device name: PORTB */
#define BOARD_UART_TX_TGTMCU_PIN 16U                                      /*!<@brief PORTB pin index: 16 */
#define BOARD_UART_TX_TGTMCU_PIN_NAME UART0_RX                            /*!<@brief Pin name */
#define BOARD_UART_TX_TGTMCU_LABEL "U2[24]/U6[13]/TxD_sda/UART_TX_TGTMCU" /*!<@brief Label */
#define BOARD_UART_TX_TGTMCU_NAME "UART_TX_TGTMCU"                        /*!<@brief Identifier name */
                                                                          /* @} */

/*! @name PORTB17 (number 63), U2[25]/U6[14]/RxD_sda/UART_RX_TGTMCU
  @{ */
#define BOARD_UART_RX_TGTMCU_PERIPHERAL UART0                             /*!<@brief Device name: UART0 */
#define BOARD_UART_RX_TGTMCU_SIGNAL TX                                    /*!<@brief UART0 signal: TX */
#define BOARD_UART_RX_TGTMCU_PORT PORTB                                   /*!<@brief PORT device name: PORTB */
#define BOARD_UART_RX_TGTMCU_PIN 17U                                      /*!<@brief PORTB pin index: 17 */
#define BOARD_UART_RX_TGTMCU_PIN_NAME UART0_TX                            /*!<@brief Pin name */
#define BOARD_UART_RX_TGTMCU_LABEL "U2[25]/U6[14]/RxD_sda/UART_RX_TGTMCU" /*!<@brief Label */
#define BOARD_UART_RX_TGTMCU_NAME "UART_RX_TGTMCU"                        /*!<@brief Identifier name */
                                                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
