/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Peripherals v4.1
processor: MKV31F512xxx12
package_id: MKV31F512VLL12
mcu_data: ksdk2_0
processor_version: 0.0.11
board: HVP-KV31F120M
functionalGroups:
- name: BOARD_InitPeripherals
  called_from_default_init: true
  selectedCore: core0
- name: MB_InitMC_PWMPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitPFCPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitANA_SENSPeripheral
  id_prefix: MP_
  selectedCore: core0
- name: MB_InitBEMFPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitENCPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitBRAKEPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitUSB_UARTPeriphreal
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitEXT_UARTPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: MB_InitMISCPeripheral
  id_prefix: MB_
  selectedCore: core0
- name: BOARD_InitDEBUG_UARTPeripheral
  id_prefix: BOARD_
  selectedCore: core0
- name: BOARD_InitLEDSPeripheral
  id_prefix: BOARD_
  selectedCore: core0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/

/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
component:
- type: 'system'
- type_id: 'system'
- global_system_definitions: []
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

/***********************************************************************************************************************
 * Included files
 **********************************************************************************************************************/
#include "peripherals.h"

/***********************************************************************************************************************
 * MB_InitMC_PWMPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * MC_PWM initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'MC_PWM'
- type: 'ftm'
- mode: 'EdgeAligned'
- type_id: 'ftm_5e037045c21cf6f361184c371dbbbab2'
- functional_group: 'MB_InitMC_PWMPeripheral'
- peripheral: 'FTM0'
- config_sets:
  - ftm_main_config:
    - ftm_config:
      - clockSource: 'kFTM_SystemClock'
      - clockSourceFreq: 'GetFreq'
      - prescale: 'kFTM_Prescale_Divide_1'
      - timerFrequency: '10000'
      - bdmMode: 'kFTM_BdmMode_0'
      - pwmSyncMode: 'kFTM_SoftwareTrigger'
      - reloadPoints: ''
      - faultMode: 'kFTM_Fault_Disable'
      - faultFilterValue: '0'
      - deadTimePrescale: 'kFTM_Deadtime_Prescale_1'
      - deadTimeValue: '0'
      - extTriggers: ''
      - chnlInitState: ''
      - chnlPolarity: ''
      - useGlobalTimeBase: 'false'
    - timer_interrupts: ''
    - enable_irq: 'false'
    - ftm_interrupt:
      - IRQn: 'FTM0_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - EnableTimerInInit: 'true'
    - quick_selection: 'QuickSelectionDefault'
  - ftm_edge_aligned_mode:
    - ftm_edge_aligned_channels_config:
      - 0:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_0'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
      - 1:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_1'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
      - 2:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_2'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
      - 3:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_3'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
      - 4:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_4'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
      - 5:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_5'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const ftm_config_t MB_MC_PWM_config = {
  .prescale = kFTM_Prescale_Divide_1,
  .bdmMode = kFTM_BdmMode_0,
  .pwmSyncMode = kFTM_SoftwareTrigger,
  .reloadPoints = 0,
  .faultMode = kFTM_Fault_Disable,
  .faultFilterValue = 0,
  .deadTimePrescale = kFTM_Deadtime_Prescale_1,
  .deadTimeValue = 0,
  .extTriggers = 0,
  .chnlInitState = 0,
  .chnlPolarity = 0,
  .useGlobalTimeBase = false
};

void MB_MC_PWM_init(void) {
  FTM_Init(MB_MC_PWM_PERIPHERAL, &MB_MC_PWM_config);
  FTM_SetupInputCapture(MB_MC_PWM_PERIPHERAL, kFTM_Chnl_0, kFTM_RisingEdge, 0);
  FTM_SetupInputCapture(MB_MC_PWM_PERIPHERAL, kFTM_Chnl_1, kFTM_RisingEdge, 0);
  FTM_SetupInputCapture(MB_MC_PWM_PERIPHERAL, kFTM_Chnl_2, kFTM_RisingEdge, 0);
  FTM_SetupInputCapture(MB_MC_PWM_PERIPHERAL, kFTM_Chnl_3, kFTM_RisingEdge, 0);
  FTM_SetupInputCapture(MB_MC_PWM_PERIPHERAL, kFTM_Chnl_4, kFTM_RisingEdge, 0);
  FTM_SetupInputCapture(MB_MC_PWM_PERIPHERAL, kFTM_Chnl_5, kFTM_RisingEdge, 0);
  FTM_SetTimerPeriod(MB_MC_PWM_PERIPHERAL, ((MB_MC_PWM_CLOCK_SOURCE/ (1U << (MB_MC_PWM_PERIPHERAL->SC & FTM_SC_PS_MASK))) / 10000) + 1);
  FTM_StartTimer(MB_MC_PWM_PERIPHERAL, kFTM_SystemClock);
}

/***********************************************************************************************************************
 * MB_InitPFCPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * PFC initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'PFC'
- type: 'ftm'
- mode: 'EdgeAligned'
- type_id: 'ftm_5e037045c21cf6f361184c371dbbbab2'
- functional_group: 'MB_InitPFCPeripheral'
- peripheral: 'FTM3'
- config_sets:
  - ftm_main_config:
    - ftm_config:
      - clockSource: 'kFTM_SystemClock'
      - clockSourceFreq: 'GetFreq'
      - prescale: 'kFTM_Prescale_Divide_1'
      - timerFrequency: '10000'
      - bdmMode: 'kFTM_BdmMode_0'
      - pwmSyncMode: 'kFTM_SoftwareTrigger'
      - reloadPoints: ''
      - faultMode: 'kFTM_Fault_Disable'
      - faultFilterValue: '0'
      - deadTimePrescale: 'kFTM_Deadtime_Prescale_1'
      - deadTimeValue: '0'
      - extTriggers: ''
      - chnlInitState: ''
      - chnlPolarity: ''
      - useGlobalTimeBase: 'false'
    - timer_interrupts: ''
    - enable_irq: 'false'
    - ftm_interrupt:
      - IRQn: 'FTM3_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - EnableTimerInInit: 'true'
    - quick_selection: 'QuickSelectionDefault'
  - ftm_edge_aligned_mode:
    - ftm_edge_aligned_channels_config:
      - 0:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_0'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
      - 1:
        - edge_aligned_mode: 'kFTM_InputCapture'
        - input_capture:
          - chnNumber: 'kFTM_Chnl_1'
          - input_capture_edge: 'kFTM_RisingEdge'
          - filterValue: '0'
          - enable_chan_irq: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const ftm_config_t MB_PFC_config = {
  .prescale = kFTM_Prescale_Divide_1,
  .bdmMode = kFTM_BdmMode_0,
  .pwmSyncMode = kFTM_SoftwareTrigger,
  .reloadPoints = 0,
  .faultMode = kFTM_Fault_Disable,
  .faultFilterValue = 0,
  .deadTimePrescale = kFTM_Deadtime_Prescale_1,
  .deadTimeValue = 0,
  .extTriggers = 0,
  .chnlInitState = 0,
  .chnlPolarity = 0,
  .useGlobalTimeBase = false
};

void MB_PFC_init(void) {
  FTM_Init(MB_PFC_PERIPHERAL, &MB_PFC_config);
  FTM_SetupInputCapture(MB_PFC_PERIPHERAL, kFTM_Chnl_0, kFTM_RisingEdge, 0);
  FTM_SetupInputCapture(MB_PFC_PERIPHERAL, kFTM_Chnl_1, kFTM_RisingEdge, 0);
  FTM_SetTimerPeriod(MB_PFC_PERIPHERAL, ((MB_PFC_CLOCK_SOURCE/ (1U << (MB_PFC_PERIPHERAL->SC & FTM_SC_PS_MASK))) / 10000) + 1);
  FTM_StartTimer(MB_PFC_PERIPHERAL, kFTM_SystemClock);
}

/***********************************************************************************************************************
 * RELAY initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'RELAY'
- type: 'gpio'
- mode: 'GPIO'
- type_id: 'gpio_f970a92e447fa4793838db25a2947ed7'
- functional_group: 'MB_InitPFCPeripheral'
- peripheral: 'GPIOC'
- config_sets:
  - fsl_gpio:
    - enable_irq: 'false'
    - port_interrupt:
      - IRQn: 'PORTC_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

void MB_RELAY_init(void) {
  /* Make sure, the clock gate for port C is enabled (e. g. in pin_mux.c) */
}

/***********************************************************************************************************************
 * MB_InitANA_SENSPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * ANA_SENS_ADC1 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'ANA_SENS_ADC1'
- type: 'adc16'
- mode: 'ADC'
- type_id: 'adc16_7d827be2dc433dc756d94a7ce88cbcc5'
- functional_group: 'MB_InitANA_SENSPeripheral'
- peripheral: 'ADC1'
- config_sets:
  - fsl_adc16:
    - adc16_config:
      - referenceVoltageSource: 'kADC16_ReferenceVoltageSourceVref'
      - clockSource: 'kADC16_ClockSourceAsynchronousClock'
      - enableAsynchronousClock: 'true'
      - clockDivider: 'kADC16_ClockDivider8'
      - resolution: 'kADC16_ResolutionSE12Bit'
      - longSampleMode: 'kADC16_LongSampleDisabled'
      - enableHighSpeed: 'false'
      - enableLowPower: 'false'
      - enableContinuousConversion: 'false'
    - adc16_channel_mux_mode: 'kADC16_ChannelMuxB'
    - adc16_hardware_compare_config:
      - hardwareCompareModeEnable: 'false'
    - doAutoCalibration: 'true'
    - trigger: 'false'
    - hardwareAverageConfiguration: 'kADC16_HardwareAverageDisabled'
    - enable_irq: 'false'
    - adc_interrupt:
      - IRQn: 'ADC0_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - adc16_channels_config:
      - 0:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.0'
        - enableInterruptOnConversionCompleted: 'false'
      - 1:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.3'
        - enableInterruptOnConversionCompleted: 'false'
      - 2:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.18'
        - enableInterruptOnConversionCompleted: 'false'
      - 3:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.23'
        - enableInterruptOnConversionCompleted: 'false'
      - 4:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.6b'
        - enableInterruptOnConversionCompleted: 'false'
      - 5:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.7b'
        - enableInterruptOnConversionCompleted: 'false'
      - 6:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.4b'
        - enableInterruptOnConversionCompleted: 'false'
      - 7:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.5b'
        - enableInterruptOnConversionCompleted: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
adc16_channel_config_t MP_ANA_SENS_ADC1_channelsConfig[8] = {
  {
    .channelNumber = 0U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 3U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 18U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 23U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 6U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 7U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 4U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 5U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  }
};
const adc16_config_t MP_ANA_SENS_ADC1_config = {
  .referenceVoltageSource = kADC16_ReferenceVoltageSourceVref,
  .clockSource = kADC16_ClockSourceAsynchronousClock,
  .enableAsynchronousClock = true,
  .clockDivider = kADC16_ClockDivider8,
  .resolution = kADC16_ResolutionSE12Bit,
  .longSampleMode = kADC16_LongSampleDisabled,
  .enableHighSpeed = false,
  .enableLowPower = false,
  .enableContinuousConversion = false
};
const adc16_channel_mux_mode_t MP_ANA_SENS_ADC1_muxMode = kADC16_ChannelMuxB;
const adc16_hardware_average_mode_t MP_ANA_SENS_ADC1_hardwareAverageMode = kADC16_HardwareAverageDisabled;

void MP_ANA_SENS_ADC1_init(void) {
  /* Initialize ADC16 converter */
  ADC16_Init(MP_ANA_SENS_ADC1_PERIPHERAL, &MP_ANA_SENS_ADC1_config);
  /* Make sure, that software trigger is used */
  ADC16_EnableHardwareTrigger(MP_ANA_SENS_ADC1_PERIPHERAL, false);
  /* Configure hardware average mode */
  ADC16_SetHardwareAverage(MP_ANA_SENS_ADC1_PERIPHERAL, MP_ANA_SENS_ADC1_hardwareAverageMode);
  /* Configure channel multiplexing mode */
  ADC16_SetChannelMuxMode(MP_ANA_SENS_ADC1_PERIPHERAL, MP_ANA_SENS_ADC1_muxMode);
  /* Perform auto calibration */
  ADC16_DoAutoCalibration(MP_ANA_SENS_ADC1_PERIPHERAL);
}

/***********************************************************************************************************************
 * ANA_SENS_ADC0 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'ANA_SENS_ADC0'
- type: 'adc16'
- mode: 'ADC'
- type_id: 'adc16_7d827be2dc433dc756d94a7ce88cbcc5'
- functional_group: 'MB_InitANA_SENSPeripheral'
- peripheral: 'ADC0'
- config_sets:
  - fsl_adc16:
    - adc16_config:
      - referenceVoltageSource: 'kADC16_ReferenceVoltageSourceVref'
      - clockSource: 'kADC16_ClockSourceAsynchronousClock'
      - enableAsynchronousClock: 'true'
      - clockDivider: 'kADC16_ClockDivider8'
      - resolution: 'kADC16_ResolutionSE12Bit'
      - longSampleMode: 'kADC16_LongSampleDisabled'
      - enableHighSpeed: 'false'
      - enableLowPower: 'false'
      - enableContinuousConversion: 'false'
    - adc16_channel_mux_mode: 'kADC16_ChannelMuxA'
    - adc16_hardware_compare_config:
      - hardwareCompareModeEnable: 'false'
    - doAutoCalibration: 'true'
    - trigger: 'false'
    - hardwareAverageConfiguration: 'kADC16_HardwareAverageDisabled'
    - enable_irq: 'false'
    - adc_interrupt:
      - IRQn: 'ADC0_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - adc16_channels_config:
      - 0:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.8'
        - enableInterruptOnConversionCompleted: 'false'
      - 1:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.9'
        - enableInterruptOnConversionCompleted: 'false'
      - 2:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.12'
        - enableInterruptOnConversionCompleted: 'false'
      - 3:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.23'
        - enableInterruptOnConversionCompleted: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
adc16_channel_config_t MP_ANA_SENS_ADC0_channelsConfig[4] = {
  {
    .channelNumber = 8U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 9U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 12U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 23U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  }
};
const adc16_config_t MP_ANA_SENS_ADC0_config = {
  .referenceVoltageSource = kADC16_ReferenceVoltageSourceVref,
  .clockSource = kADC16_ClockSourceAsynchronousClock,
  .enableAsynchronousClock = true,
  .clockDivider = kADC16_ClockDivider8,
  .resolution = kADC16_ResolutionSE12Bit,
  .longSampleMode = kADC16_LongSampleDisabled,
  .enableHighSpeed = false,
  .enableLowPower = false,
  .enableContinuousConversion = false
};
const adc16_channel_mux_mode_t MP_ANA_SENS_ADC0_muxMode = kADC16_ChannelMuxA;
const adc16_hardware_average_mode_t MP_ANA_SENS_ADC0_hardwareAverageMode = kADC16_HardwareAverageDisabled;

void MP_ANA_SENS_ADC0_init(void) {
  /* Initialize ADC16 converter */
  ADC16_Init(MP_ANA_SENS_ADC0_PERIPHERAL, &MP_ANA_SENS_ADC0_config);
  /* Make sure, that software trigger is used */
  ADC16_EnableHardwareTrigger(MP_ANA_SENS_ADC0_PERIPHERAL, false);
  /* Configure hardware average mode */
  ADC16_SetHardwareAverage(MP_ANA_SENS_ADC0_PERIPHERAL, MP_ANA_SENS_ADC0_hardwareAverageMode);
  /* Configure channel multiplexing mode */
  ADC16_SetChannelMuxMode(MP_ANA_SENS_ADC0_PERIPHERAL, MP_ANA_SENS_ADC0_muxMode);
  /* Perform auto calibration */
  ADC16_DoAutoCalibration(MP_ANA_SENS_ADC0_PERIPHERAL);
}

/***********************************************************************************************************************
 * MB_InitBEMFPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * BEMF_ADC0 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'BEMF_ADC0'
- type: 'adc16'
- mode: 'ADC'
- type_id: 'adc16_7d827be2dc433dc756d94a7ce88cbcc5'
- functional_group: 'MB_InitBEMFPeripheral'
- peripheral: 'ADC0'
- config_sets:
  - fsl_adc16:
    - adc16_config:
      - referenceVoltageSource: 'kADC16_ReferenceVoltageSourceVref'
      - clockSource: 'kADC16_ClockSourceAsynchronousClock'
      - enableAsynchronousClock: 'true'
      - clockDivider: 'kADC16_ClockDivider8'
      - resolution: 'kADC16_ResolutionSE12Bit'
      - longSampleMode: 'kADC16_LongSampleDisabled'
      - enableHighSpeed: 'false'
      - enableLowPower: 'false'
      - enableContinuousConversion: 'false'
    - adc16_channel_mux_mode: 'kADC16_ChannelMuxA'
    - adc16_hardware_compare_config:
      - hardwareCompareModeEnable: 'false'
    - doAutoCalibration: 'false'
    - trigger: 'false'
    - hardwareAverageConfiguration: 'kADC16_HardwareAverageDisabled'
    - enable_irq: 'false'
    - adc_interrupt:
      - IRQn: 'ADC0_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - adc16_channels_config:
      - 0:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.19'
        - enableInterruptOnConversionCompleted: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
adc16_channel_config_t MB_BEMF_ADC0_channelsConfig[1] = {
  {
    .channelNumber = 19U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  }
};
const adc16_config_t MB_BEMF_ADC0_config = {
  .referenceVoltageSource = kADC16_ReferenceVoltageSourceVref,
  .clockSource = kADC16_ClockSourceAsynchronousClock,
  .enableAsynchronousClock = true,
  .clockDivider = kADC16_ClockDivider8,
  .resolution = kADC16_ResolutionSE12Bit,
  .longSampleMode = kADC16_LongSampleDisabled,
  .enableHighSpeed = false,
  .enableLowPower = false,
  .enableContinuousConversion = false
};
const adc16_channel_mux_mode_t MB_BEMF_ADC0_muxMode = kADC16_ChannelMuxA;
const adc16_hardware_average_mode_t MB_BEMF_ADC0_hardwareAverageMode = kADC16_HardwareAverageDisabled;

void MB_BEMF_ADC0_init(void) {
  /* Initialize ADC16 converter */
  ADC16_Init(MB_BEMF_ADC0_PERIPHERAL, &MB_BEMF_ADC0_config);
  /* Make sure, that software trigger is used */
  ADC16_EnableHardwareTrigger(MB_BEMF_ADC0_PERIPHERAL, false);
  /* Configure hardware average mode */
  ADC16_SetHardwareAverage(MB_BEMF_ADC0_PERIPHERAL, MB_BEMF_ADC0_hardwareAverageMode);
  /* Configure channel multiplexing mode */
  ADC16_SetChannelMuxMode(MB_BEMF_ADC0_PERIPHERAL, MB_BEMF_ADC0_muxMode);
}

/***********************************************************************************************************************
 * BEMF_ADC1 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'BEMF_ADC1'
- type: 'adc16'
- mode: 'ADC'
- type_id: 'adc16_7d827be2dc433dc756d94a7ce88cbcc5'
- functional_group: 'MB_InitBEMFPeripheral'
- peripheral: 'ADC1'
- config_sets:
  - fsl_adc16:
    - adc16_config:
      - referenceVoltageSource: 'kADC16_ReferenceVoltageSourceVref'
      - clockSource: 'kADC16_ClockSourceAsynchronousClock'
      - enableAsynchronousClock: 'true'
      - clockDivider: 'kADC16_ClockDivider8'
      - resolution: 'kADC16_ResolutionSE12Bit'
      - longSampleMode: 'kADC16_LongSampleDisabled'
      - enableHighSpeed: 'false'
      - enableLowPower: 'false'
      - enableContinuousConversion: 'false'
    - adc16_channel_mux_mode: 'kADC16_ChannelMuxA'
    - adc16_hardware_compare_config:
      - hardwareCompareModeEnable: 'false'
    - doAutoCalibration: 'false'
    - trigger: 'false'
    - hardwareAverageConfiguration: 'kADC16_HardwareAverageDisabled'
    - enable_irq: 'false'
    - adc_interrupt:
      - IRQn: 'ADC1_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - adc16_channels_config:
      - 0:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.19'
        - enableInterruptOnConversionCompleted: 'false'
      - 1:
        - enableDifferentialConversion: 'false'
        - channelNumber: 'SE.20'
        - enableInterruptOnConversionCompleted: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
adc16_channel_config_t MB_BEMF_ADC1_channelsConfig[2] = {
  {
    .channelNumber = 19U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  },
  {
    .channelNumber = 20U,
    .enableDifferentialConversion = false,
    .enableInterruptOnConversionCompleted = false
  }
};
const adc16_config_t MB_BEMF_ADC1_config = {
  .referenceVoltageSource = kADC16_ReferenceVoltageSourceVref,
  .clockSource = kADC16_ClockSourceAsynchronousClock,
  .enableAsynchronousClock = true,
  .clockDivider = kADC16_ClockDivider8,
  .resolution = kADC16_ResolutionSE12Bit,
  .longSampleMode = kADC16_LongSampleDisabled,
  .enableHighSpeed = false,
  .enableLowPower = false,
  .enableContinuousConversion = false
};
const adc16_channel_mux_mode_t MB_BEMF_ADC1_muxMode = kADC16_ChannelMuxA;
const adc16_hardware_average_mode_t MB_BEMF_ADC1_hardwareAverageMode = kADC16_HardwareAverageDisabled;

void MB_BEMF_ADC1_init(void) {
  /* Initialize ADC16 converter */
  ADC16_Init(MB_BEMF_ADC1_PERIPHERAL, &MB_BEMF_ADC1_config);
  /* Make sure, that software trigger is used */
  ADC16_EnableHardwareTrigger(MB_BEMF_ADC1_PERIPHERAL, false);
  /* Configure hardware average mode */
  ADC16_SetHardwareAverage(MB_BEMF_ADC1_PERIPHERAL, MB_BEMF_ADC1_hardwareAverageMode);
  /* Configure channel multiplexing mode */
  ADC16_SetChannelMuxMode(MB_BEMF_ADC1_PERIPHERAL, MB_BEMF_ADC1_muxMode);
}

/***********************************************************************************************************************
 * MB_InitENCPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * ENC_PHASE initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'ENC_PHASE'
- type: 'ftm'
- mode: 'EdgeAligned'
- type_id: 'ftm_5e037045c21cf6f361184c371dbbbab2'
- functional_group: 'MB_InitENCPeripheral'
- peripheral: 'FTM1'
- config_sets:
  - ftm_main_config:
    - ftm_config:
      - clockSource: 'kFTM_SystemClock'
      - clockSourceFreq: 'GetFreq'
      - prescale: 'kFTM_Prescale_Divide_1'
      - timerFrequency: '10000'
      - bdmMode: 'kFTM_BdmMode_0'
      - pwmSyncMode: 'kFTM_SoftwareTrigger'
      - reloadPoints: ''
      - faultMode: 'kFTM_Fault_Disable'
      - faultFilterValue: '0'
      - deadTimePrescale: 'kFTM_Deadtime_Prescale_1'
      - deadTimeValue: '0'
      - extTriggers: ''
      - chnlInitState: ''
      - chnlPolarity: ''
      - useGlobalTimeBase: 'false'
    - timer_interrupts: ''
    - enable_irq: 'false'
    - ftm_interrupt:
      - IRQn: 'FTM1_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - EnableTimerInInit: 'true'
    - quick_selection: 'QuickSelectionDefault'
  - ftm_edge_aligned_mode:
    - ftm_edge_aligned_channels_config: []
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const ftm_config_t MB_ENC_PHASE_config = {
  .prescale = kFTM_Prescale_Divide_1,
  .bdmMode = kFTM_BdmMode_0,
  .pwmSyncMode = kFTM_SoftwareTrigger,
  .reloadPoints = 0,
  .faultMode = kFTM_Fault_Disable,
  .faultFilterValue = 0,
  .deadTimePrescale = kFTM_Deadtime_Prescale_1,
  .deadTimeValue = 0,
  .extTriggers = 0,
  .chnlInitState = 0,
  .chnlPolarity = 0,
  .useGlobalTimeBase = false
};

void MB_ENC_PHASE_init(void) {
  FTM_Init(MB_ENC_PHASE_PERIPHERAL, &MB_ENC_PHASE_config);
  FTM_SetTimerPeriod(MB_ENC_PHASE_PERIPHERAL, ((MB_ENC_PHASE_CLOCK_SOURCE/ (1U << (MB_ENC_PHASE_PERIPHERAL->SC & FTM_SC_PS_MASK))) / 10000) + 1);
  FTM_StartTimer(MB_ENC_PHASE_PERIPHERAL, kFTM_SystemClock);
}

/***********************************************************************************************************************
 * ENC_INDEX initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'ENC_INDEX'
- type: 'gpio'
- mode: 'GPIO'
- type_id: 'gpio_f970a92e447fa4793838db25a2947ed7'
- functional_group: 'MB_InitENCPeripheral'
- peripheral: 'GPIOD'
- config_sets:
  - fsl_gpio:
    - enable_irq: 'false'
    - port_interrupt:
      - IRQn: 'PORTD_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

void MB_ENC_INDEX_init(void) {
  /* Make sure, the clock gate for port D is enabled (e. g. in pin_mux.c) */
}

/***********************************************************************************************************************
 * MB_InitBRAKEPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * MCU_BRAKE initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'MCU_BRAKE'
- type: 'gpio'
- mode: 'GPIO'
- type_id: 'gpio_f970a92e447fa4793838db25a2947ed7'
- functional_group: 'MB_InitBRAKEPeripheral'
- peripheral: 'GPIOC'
- config_sets:
  - fsl_gpio:
    - enable_irq: 'false'
    - port_interrupt:
      - IRQn: 'PORTC_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

void MB_MCU_BRAKE_init(void) {
  /* Make sure, the clock gate for port C is enabled (e. g. in pin_mux.c) */
}

/***********************************************************************************************************************
 * MB_InitUSB_UARTPeriphreal functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * USB_UART initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'USB_UART'
- type: 'uart'
- mode: 'polling'
- type_id: 'uart_cd31a12aa8c79051fda42cc851a27c37'
- functional_group: 'MB_InitUSB_UARTPeriphreal'
- peripheral: 'UART2'
- config_sets:
  - uartConfig_t:
    - uartConfig:
      - clockSource: 'BusInterfaceClock'
      - clockSourceFreq: 'GetFreq'
      - baudRate_Bps: '115200'
      - parityMode: 'kUART_ParityDisabled'
      - txFifoWatermark: '0'
      - rxFifoWatermark: '0'
      - idleType: 'kUART_IdleTypeStartBit'
      - enableTx: 'false'
      - enableRx: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const uart_config_t MB_USB_UART_config = {
  .baudRate_Bps = 115200,
  .parityMode = kUART_ParityDisabled,
  .txFifoWatermark = 0,
  .rxFifoWatermark = 0,
  .idleType = kUART_IdleTypeStartBit,
  .enableTx = false,
  .enableRx = false
};

void MB_USB_UART_init(void) {
  UART_Init(MB_USB_UART_PERIPHERAL, &MB_USB_UART_config, MB_USB_UART_CLOCK_SOURCE);
}

/***********************************************************************************************************************
 * MB_InitEXT_UARTPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * EXT_UART initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'EXT_UART'
- type: 'uart'
- mode: 'polling'
- type_id: 'uart_cd31a12aa8c79051fda42cc851a27c37'
- functional_group: 'MB_InitEXT_UARTPeripheral'
- peripheral: 'UART1'
- config_sets:
  - uartConfig_t:
    - uartConfig:
      - clockSource: 'BusInterfaceClock'
      - clockSourceFreq: 'GetFreq'
      - baudRate_Bps: '115200'
      - parityMode: 'kUART_ParityDisabled'
      - txFifoWatermark: '0'
      - rxFifoWatermark: '0'
      - idleType: 'kUART_IdleTypeStartBit'
      - enableTx: 'false'
      - enableRx: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const uart_config_t MB_EXT_UART_config = {
  .baudRate_Bps = 115200,
  .parityMode = kUART_ParityDisabled,
  .txFifoWatermark = 0,
  .rxFifoWatermark = 0,
  .idleType = kUART_IdleTypeStartBit,
  .enableTx = false,
  .enableRx = false
};

void MB_EXT_UART_init(void) {
  UART_Init(MB_EXT_UART_PERIPHERAL, &MB_EXT_UART_config, MB_EXT_UART_CLOCK_SOURCE);
}

/***********************************************************************************************************************
 * MB_InitMISCPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * FAULT_2 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'FAULT_2'
- type: 'gpio'
- mode: 'GPIO'
- type_id: 'gpio_f970a92e447fa4793838db25a2947ed7'
- functional_group: 'MB_InitMISCPeripheral'
- peripheral: 'GPIOC'
- config_sets:
  - fsl_gpio:
    - enable_irq: 'false'
    - port_interrupt:
      - IRQn: 'PORTC_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

void MB_FAULT_2_init(void) {
  /* Make sure, the clock gate for port C is enabled (e. g. in pin_mux.c) */
}

/***********************************************************************************************************************
 * PDB0_CH0 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'PDB0_CH0'
- type: 'adc16'
- mode: 'ADC'
- type_id: 'adc16_7d827be2dc433dc756d94a7ce88cbcc5'
- functional_group: 'MB_InitMISCPeripheral'
- peripheral: 'ADC0'
- config_sets:
  - fsl_adc16:
    - adc16_config:
      - referenceVoltageSource: 'kADC16_ReferenceVoltageSourceVref'
      - clockSource: 'kADC16_ClockSourceAsynchronousClock'
      - enableAsynchronousClock: 'true'
      - clockDivider: 'kADC16_ClockDivider8'
      - resolution: 'kADC16_ResolutionSE12Bit'
      - longSampleMode: 'kADC16_LongSampleDisabled'
      - enableHighSpeed: 'false'
      - enableLowPower: 'false'
      - enableContinuousConversion: 'false'
    - adc16_channel_mux_mode: 'kADC16_ChannelMuxA'
    - adc16_hardware_compare_config:
      - hardwareCompareModeEnable: 'false'
    - doAutoCalibration: 'false'
    - trigger: 'true'
    - hardwareAverageConfiguration: 'kADC16_HardwareAverageDisabled'
    - enable_irq: 'false'
    - adc_interrupt:
      - IRQn: 'ADC0_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - adc16_channels_config: []
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const adc16_config_t MB_PDB0_CH0_config = {
  .referenceVoltageSource = kADC16_ReferenceVoltageSourceVref,
  .clockSource = kADC16_ClockSourceAsynchronousClock,
  .enableAsynchronousClock = true,
  .clockDivider = kADC16_ClockDivider8,
  .resolution = kADC16_ResolutionSE12Bit,
  .longSampleMode = kADC16_LongSampleDisabled,
  .enableHighSpeed = false,
  .enableLowPower = false,
  .enableContinuousConversion = false
};
const adc16_channel_mux_mode_t MB_PDB0_CH0_muxMode = kADC16_ChannelMuxA;
const adc16_hardware_average_mode_t MB_PDB0_CH0_hardwareAverageMode = kADC16_HardwareAverageDisabled;

void MB_PDB0_CH0_init(void) {
  /* Initialize ADC16 converter */
  ADC16_Init(MB_PDB0_CH0_PERIPHERAL, &MB_PDB0_CH0_config);
  /* Make sure, that hardware trigger is used */
  ADC16_EnableHardwareTrigger(MB_PDB0_CH0_PERIPHERAL, true);
  /* Configure hardware average mode */
  ADC16_SetHardwareAverage(MB_PDB0_CH0_PERIPHERAL, MB_PDB0_CH0_hardwareAverageMode);
  /* Configure channel multiplexing mode */
  ADC16_SetChannelMuxMode(MB_PDB0_CH0_PERIPHERAL, MB_PDB0_CH0_muxMode);
}

/***********************************************************************************************************************
 * PDB0_CH1 initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'PDB0_CH1'
- type: 'adc16'
- mode: 'ADC'
- type_id: 'adc16_7d827be2dc433dc756d94a7ce88cbcc5'
- functional_group: 'MB_InitMISCPeripheral'
- peripheral: 'ADC1'
- config_sets:
  - fsl_adc16:
    - adc16_config:
      - referenceVoltageSource: 'kADC16_ReferenceVoltageSourceVref'
      - clockSource: 'kADC16_ClockSourceAsynchronousClock'
      - enableAsynchronousClock: 'true'
      - clockDivider: 'kADC16_ClockDivider8'
      - resolution: 'kADC16_ResolutionSE12Bit'
      - longSampleMode: 'kADC16_LongSampleDisabled'
      - enableHighSpeed: 'false'
      - enableLowPower: 'false'
      - enableContinuousConversion: 'false'
    - adc16_channel_mux_mode: 'kADC16_ChannelMuxA'
    - adc16_hardware_compare_config:
      - hardwareCompareModeEnable: 'false'
    - doAutoCalibration: 'false'
    - trigger: 'true'
    - hardwareAverageConfiguration: 'kADC16_HardwareAverageDisabled'
    - enable_irq: 'false'
    - adc_interrupt:
      - IRQn: 'ADC1_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
    - adc16_channels_config: []
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const adc16_config_t MB_PDB0_CH1_config = {
  .referenceVoltageSource = kADC16_ReferenceVoltageSourceVref,
  .clockSource = kADC16_ClockSourceAsynchronousClock,
  .enableAsynchronousClock = true,
  .clockDivider = kADC16_ClockDivider8,
  .resolution = kADC16_ResolutionSE12Bit,
  .longSampleMode = kADC16_LongSampleDisabled,
  .enableHighSpeed = false,
  .enableLowPower = false,
  .enableContinuousConversion = false
};
const adc16_channel_mux_mode_t MB_PDB0_CH1_muxMode = kADC16_ChannelMuxA;
const adc16_hardware_average_mode_t MB_PDB0_CH1_hardwareAverageMode = kADC16_HardwareAverageDisabled;

void MB_PDB0_CH1_init(void) {
  /* Initialize ADC16 converter */
  ADC16_Init(MB_PDB0_CH1_PERIPHERAL, &MB_PDB0_CH1_config);
  /* Make sure, that hardware trigger is used */
  ADC16_EnableHardwareTrigger(MB_PDB0_CH1_PERIPHERAL, true);
  /* Configure hardware average mode */
  ADC16_SetHardwareAverage(MB_PDB0_CH1_PERIPHERAL, MB_PDB0_CH1_hardwareAverageMode);
  /* Configure channel multiplexing mode */
  ADC16_SetChannelMuxMode(MB_PDB0_CH1_PERIPHERAL, MB_PDB0_CH1_muxMode);
}

/***********************************************************************************************************************
 * BOARD_InitDEBUG_UARTPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * DEBUG_UART initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'DEBUG_UART'
- type: 'uart'
- mode: 'polling'
- type_id: 'uart_cd31a12aa8c79051fda42cc851a27c37'
- functional_group: 'BOARD_InitDEBUG_UARTPeripheral'
- peripheral: 'UART0'
- config_sets:
  - uartConfig_t:
    - uartConfig:
      - clockSource: 'BusInterfaceClock'
      - clockSourceFreq: 'GetFreq'
      - baudRate_Bps: '115200'
      - parityMode: 'kUART_ParityDisabled'
      - txFifoWatermark: '0'
      - rxFifoWatermark: '0'
      - idleType: 'kUART_IdleTypeStartBit'
      - enableTx: 'false'
      - enableRx: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */
const uart_config_t BOARD_DEBUG_UART_config = {
  .baudRate_Bps = 115200,
  .parityMode = kUART_ParityDisabled,
  .txFifoWatermark = 0,
  .rxFifoWatermark = 0,
  .idleType = kUART_IdleTypeStartBit,
  .enableTx = false,
  .enableRx = false
};

void BOARD_DEBUG_UART_init(void) {
  UART_Init(BOARD_DEBUG_UART_PERIPHERAL, &BOARD_DEBUG_UART_config, BOARD_DEBUG_UART_CLOCK_SOURCE);
}

/***********************************************************************************************************************
 * BOARD_InitLEDSPeripheral functional group
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * LED_RED initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'LED_RED'
- type: 'gpio'
- mode: 'GPIO'
- type_id: 'gpio_f970a92e447fa4793838db25a2947ed7'
- functional_group: 'BOARD_InitLEDSPeripheral'
- peripheral: 'GPIOA'
- config_sets:
  - fsl_gpio:
    - enable_irq: 'false'
    - port_interrupt:
      - IRQn: 'PORTA_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

void BOARD_LED_RED_init(void) {
  /* Make sure, the clock gate for port A is enabled (e. g. in pin_mux.c) */
}

/***********************************************************************************************************************
 * LED_GREEN initialization code
 **********************************************************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
instance:
- name: 'LED_GREEN'
- type: 'gpio'
- mode: 'GPIO'
- type_id: 'gpio_f970a92e447fa4793838db25a2947ed7'
- functional_group: 'BOARD_InitLEDSPeripheral'
- peripheral: 'GPIOB'
- config_sets:
  - fsl_gpio:
    - enable_irq: 'false'
    - port_interrupt:
      - IRQn: 'PORTB_IRQn'
      - enable_priority: 'false'
      - enable_custom_name: 'false'
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

void BOARD_LED_GREEN_init(void) {
  /* Make sure, the clock gate for port B is enabled (e. g. in pin_mux.c) */
}

/***********************************************************************************************************************
 * Initialization functions
 **********************************************************************************************************************/
void BOARD_InitPeripherals(void)
{
}

void MB_InitMC_PWMPeripheral(void)
{
  /* Initialize components */
  MB_MC_PWM_init();
}

void MB_InitPFCPeripheral(void)
{
  /* Initialize components */
  MB_PFC_init();
  MB_RELAY_init();
}

void MB_InitANA_SENSPeripheral(void)
{
  /* Initialize components */
  MP_ANA_SENS_ADC1_init();
  MP_ANA_SENS_ADC0_init();
}

void MB_InitBEMFPeripheral(void)
{
  /* Initialize components */
  MB_BEMF_ADC0_init();
  MB_BEMF_ADC1_init();
}

void MB_InitENCPeripheral(void)
{
  /* Initialize components */
  MB_ENC_PHASE_init();
  MB_ENC_INDEX_init();
}

void MB_InitBRAKEPeripheral(void)
{
  /* Initialize components */
  MB_MCU_BRAKE_init();
}

void MB_InitUSB_UARTPeriphreal(void)
{
  /* Initialize components */
  MB_USB_UART_init();
}

void MB_InitEXT_UARTPeripheral(void)
{
  /* Initialize components */
  MB_EXT_UART_init();
}

void MB_InitMISCPeripheral(void)
{
  /* Initialize components */
  MB_FAULT_2_init();
  MB_PDB0_CH0_init();
  MB_PDB0_CH1_init();
}

void BOARD_InitDEBUG_UARTPeripheral(void)
{
  /* Initialize components */
  BOARD_DEBUG_UART_init();
}

void BOARD_InitLEDSPeripheral(void)
{
  /* Initialize components */
  BOARD_LED_RED_init();
  BOARD_LED_GREEN_init();
}

/***********************************************************************************************************************
 * BOARD_InitBootPeripherals function
 **********************************************************************************************************************/
void BOARD_InitBootPeripherals(void)
{
  BOARD_InitPeripherals();
}
