/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PERIPHERALS_H_
#define _PERIPHERALS_H_

/***********************************************************************************************************************
 * Included files
 **********************************************************************************************************************/
#include "fsl_common.h"
#include "fsl_clock.h"
#include "fsl_ftm.h"
#include "fsl_gpio.h"
#include "fsl_port.h"
#include "fsl_adc16.h"
#include "fsl_uart.h"

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/
/* Definitions for MB_InitMC_PWMPeripheral functional group */
/* Definition of peripheral ID */
#define MB_MC_PWM_PERIPHERAL FTM0
/* Definition of the clock source frequency */
#define MB_MC_PWM_CLOCK_SOURCE CLOCK_GetFreq(kCLOCK_BusClk)
/* MC_PWM interrupt vector ID (number). */
#define MB_MC_PWM_IRQN FTM0_IRQn
/* MC_PWM interrupt handler identifier. */
#define MB_MC_PWM_IRQHANDLER FTM0_IRQHandler

/* Definitions for MB_InitPFCPeripheral functional group */
/* Definition of peripheral ID */
#define MB_PFC_PERIPHERAL FTM3
/* Definition of the clock source frequency */
#define MB_PFC_CLOCK_SOURCE CLOCK_GetFreq(kCLOCK_BusClk)
/* PFC interrupt vector ID (number). */
#define MB_PFC_IRQN FTM3_IRQn
/* PFC interrupt handler identifier. */
#define MB_PFC_IRQHANDLER FTM3_IRQHandler
/* Alias for GPIOC peripheral */
#define MB_RELAY_GPIO GPIOC

/* Definitions for MB_InitANA_SENSPeripheral functional group */
/* Alias for ADC1 peripheral */
#define MP_ANA_SENS_ADC1_PERIPHERAL ADC1
/* ANA_SENS_ADC1 interrupt vector ID (number). */
#define MP_ANA_SENS_ADC1_IRQN ADC0_IRQn
/* ANA_SENS_ADC1 interrupt handler identifier. */
#define MP_ANA_SENS_ADC1_IRQHANDLER ADC0_IRQHandler
/* Alias for ADC0 peripheral */
#define MP_ANA_SENS_ADC0_PERIPHERAL ADC0
/* ANA_SENS_ADC0 interrupt vector ID (number). */
#define MP_ANA_SENS_ADC0_IRQN ADC0_IRQn
/* ANA_SENS_ADC0 interrupt handler identifier. */
#define MP_ANA_SENS_ADC0_IRQHANDLER ADC0_IRQHandler

/* Definitions for MB_InitBEMFPeripheral functional group */
/* Alias for ADC0 peripheral */
#define MB_BEMF_ADC0_PERIPHERAL ADC0
/* BEMF_ADC0 interrupt vector ID (number). */
#define MB_BEMF_ADC0_IRQN ADC0_IRQn
/* BEMF_ADC0 interrupt handler identifier. */
#define MB_BEMF_ADC0_IRQHANDLER ADC0_IRQHandler
/* Alias for ADC1 peripheral */
#define MB_BEMF_ADC1_PERIPHERAL ADC1
/* BEMF_ADC1 interrupt vector ID (number). */
#define MB_BEMF_ADC1_IRQN ADC1_IRQn
/* BEMF_ADC1 interrupt handler identifier. */
#define MB_BEMF_ADC1_IRQHANDLER ADC1_IRQHandler

/* Definitions for MB_InitENCPeripheral functional group */
/* Definition of peripheral ID */
#define MB_ENC_PHASE_PERIPHERAL FTM1
/* Definition of the clock source frequency */
#define MB_ENC_PHASE_CLOCK_SOURCE CLOCK_GetFreq(kCLOCK_BusClk)
/* ENC_PHASE interrupt vector ID (number). */
#define MB_ENC_PHASE_IRQN FTM1_IRQn
/* ENC_PHASE interrupt handler identifier. */
#define MB_ENC_PHASE_IRQHANDLER FTM1_IRQHandler
/* Alias for GPIOD peripheral */
#define MB_ENC_INDEX_GPIO GPIOD

/* Definitions for MB_InitBRAKEPeripheral functional group */
/* Alias for GPIOC peripheral */
#define MB_MCU_BRAKE_GPIO GPIOC

/* Definitions for MB_InitUSB_UARTPeriphreal functional group */
/* Definition of peripheral ID */
#define MB_USB_UART_PERIPHERAL UART2
/* Definition of the clock source frequency */
#define MB_USB_UART_CLOCK_SOURCE CLOCK_GetFreq(UART2_CLK_SRC)

/* Definitions for MB_InitEXT_UARTPeripheral functional group */
/* Definition of peripheral ID */
#define MB_EXT_UART_PERIPHERAL UART1
/* Definition of the clock source frequency */
#define MB_EXT_UART_CLOCK_SOURCE CLOCK_GetFreq(UART1_CLK_SRC)

/* Definitions for MB_InitMISCPeripheral functional group */
/* Alias for GPIOC peripheral */
#define MB_FAULT_2_GPIO GPIOC
/* Alias for ADC0 peripheral */
#define MB_PDB0_CH0_PERIPHERAL ADC0
/* PDB0_CH0 interrupt vector ID (number). */
#define MB_PDB0_CH0_IRQN ADC0_IRQn
/* PDB0_CH0 interrupt handler identifier. */
#define MB_PDB0_CH0_IRQHANDLER ADC0_IRQHandler
/* Alias for ADC1 peripheral */
#define MB_PDB0_CH1_PERIPHERAL ADC1
/* PDB0_CH1 interrupt vector ID (number). */
#define MB_PDB0_CH1_IRQN ADC1_IRQn
/* PDB0_CH1 interrupt handler identifier. */
#define MB_PDB0_CH1_IRQHANDLER ADC1_IRQHandler

/* Definitions for BOARD_InitDEBUG_UARTPeripheral functional group */
/* Definition of peripheral ID */
#define BOARD_DEBUG_UART_PERIPHERAL UART0
/* Definition of the clock source frequency */
#define BOARD_DEBUG_UART_CLOCK_SOURCE CLOCK_GetFreq(UART0_CLK_SRC)

/* Definitions for BOARD_InitLEDSPeripheral functional group */
/* Alias for GPIOA peripheral */
#define BOARD_LED_RED_GPIO GPIOA
/* Alias for GPIOB peripheral */
#define BOARD_LED_GREEN_GPIO GPIOB

/***********************************************************************************************************************
 * Global variables
 **********************************************************************************************************************/
extern const ftm_config_t MB_MC_PWM_config;
extern const ftm_config_t MB_PFC_config;
extern adc16_channel_config_t MP_ANA_SENS_ADC1_channelsConfig[8];
extern const adc16_config_t MP_ANA_SENS_ADC1_config;
extern const adc16_channel_mux_mode_t MP_ANA_SENS_ADC1_muxMode;
extern const adc16_hardware_average_mode_t MP_ANA_SENS_ADC1_hardwareAverageMode;
extern adc16_channel_config_t MP_ANA_SENS_ADC0_channelsConfig[4];
extern const adc16_config_t MP_ANA_SENS_ADC0_config;
extern const adc16_channel_mux_mode_t MP_ANA_SENS_ADC0_muxMode;
extern const adc16_hardware_average_mode_t MP_ANA_SENS_ADC0_hardwareAverageMode;
extern adc16_channel_config_t MB_BEMF_ADC0_channelsConfig[1];
extern const adc16_config_t MB_BEMF_ADC0_config;
extern const adc16_channel_mux_mode_t MB_BEMF_ADC0_muxMode;
extern const adc16_hardware_average_mode_t MB_BEMF_ADC0_hardwareAverageMode;
extern adc16_channel_config_t MB_BEMF_ADC1_channelsConfig[2];
extern const adc16_config_t MB_BEMF_ADC1_config;
extern const adc16_channel_mux_mode_t MB_BEMF_ADC1_muxMode;
extern const adc16_hardware_average_mode_t MB_BEMF_ADC1_hardwareAverageMode;
extern const ftm_config_t MB_ENC_PHASE_config;
extern const uart_config_t MB_USB_UART_config;
extern const uart_config_t MB_EXT_UART_config;
extern const adc16_config_t MB_PDB0_CH0_config;
extern const adc16_channel_mux_mode_t MB_PDB0_CH0_muxMode;
extern const adc16_hardware_average_mode_t MB_PDB0_CH0_hardwareAverageMode;
extern const adc16_config_t MB_PDB0_CH1_config;
extern const adc16_channel_mux_mode_t MB_PDB0_CH1_muxMode;
extern const adc16_hardware_average_mode_t MB_PDB0_CH1_hardwareAverageMode;
extern const uart_config_t BOARD_DEBUG_UART_config;

/***********************************************************************************************************************
 * Initialization functions
 **********************************************************************************************************************/
void BOARD_InitPeripherals(void);
void MB_InitMC_PWMPeripheral(void);
void MB_InitPFCPeripheral(void);
void MB_InitANA_SENSPeripheral(void);
void MB_InitBEMFPeripheral(void);
void MB_InitENCPeripheral(void);
void MB_InitBRAKEPeripheral(void);
void MB_InitUSB_UARTPeriphreal(void);
void MB_InitEXT_UARTPeripheral(void);
void MB_InitMISCPeripheral(void);
void BOARD_InitDEBUG_UARTPeripheral(void);
void BOARD_InitLEDSPeripheral(void);

/***********************************************************************************************************************
 * BOARD_InitBootPeripherals function
 **********************************************************************************************************************/
void BOARD_InitBootPeripherals(void);

#if defined(__cplusplus)
}
#endif

#endif /* _PERIPHERALS_H_ */
